# classes/phing/filters/BaseFilterReader.php

## \BaseFilterReader
jump to top

Base class for core filter readers.

Extends from
  \FilterReader
see
  \FilterReader
access
  public
author
  Yannick Lecaillez
package
  phing.filters
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$initialized= 'false'`

Have the parameters passed been interpreted?

Default value `false` Details

Type

`$project= 'null'`

The Phing project this filter is part of.

Default value `null` Details

Type

### Methods

`__construct( \Reader $in = null ) :`
Constructor used by Phing's introspection mechanism.

The original filter reader is only used for chaining purposes, never for filtering purposes (and indeed it would be useless for filtering purposes, as it has no real data to filter). ChainedReaderHelper uses this placeholder instance to create a chain of real filters.

Parameters

Name | Type | Description
--- | --- | ---
$in | \Reader |

`eof( ) : boolean`
Returns whether the end of file has been reached with input stream.
Returns

Type | Description
--- | ---
boolean |

`getInitialized( ) : boolean`
Returns the initialized status.
Returns

Type | Description
--- | ---
boolean |

`getProject( ) : object`
Returns the project this filter is part of.
Returns

Type | Description
--- | ---
object |

`log( string $msg, int $level = Project ) :`
Convenience method to support logging in filters.
Parameters

Name | Type | Description
--- | --- | ---
$msg | string | Message to log.
$level | int | Priority level.

`read( \off $len = null ) : \Characters`
Reads characters.
Parameters

Name | Type | Description
--- | --- | ---
$len | \off | Offset at which to start storing characters.

Returns

Type | Description
--- | ---
\Characters |

Details

throws
  If an I/O error occurs

`readLine( ) : \the`
Reads a line of text ending with '\n' (or until the end of the stream).

The returned String retains the '\n'.

Returns

Type | Description
--- | ---
\the |

Details

throws
  if the underlying reader throws one during reading

`setInitialized( boolean $initialized ) :`
Sets the initialized status.
Parameters

Name | Type | Description
--- | --- | ---
$initialized | boolean | Whether or not the filter is initialized.

`setProject( object $project ) :`
Sets the project to work with.
Parameters

Name | Type | Description
--- | --- | ---
$project | object | The project this filter is part of. Should not be `null`.

Documentation was generated by DocBlox 0.13.1.